/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import java.util.Objects;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;

/**
 * CancelPolicy
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class CancelPolicy {
  @SerializedName("cancellation_date")
  private String cancellationDate = null;

  @SerializedName("reason_description")
  private String reasonDescription = null;

  public CancelPolicy cancellationDate(String cancellationDate) {
    this.cancellationDate = cancellationDate;
    return this;
  }

   /**
   * Date when cancellation has been asked, ISO 8601 format (YYYY-MM-DD)
   * @return cancellationDate
  **/
  @ApiModelProperty(example = "1982-08-09", value = "Date when cancellation has been asked, ISO 8601 format (YYYY-MM-DD)")
  public String getCancellationDate() {
    return cancellationDate;
  }

  public void setCancellationDate(String cancellationDate) {
    this.cancellationDate = cancellationDate;
  }

  public CancelPolicy reasonDescription(String reasonDescription) {
    this.reasonDescription = reasonDescription;
    return this;
  }

   /**
   * Description of the reason of the cancellation
   * @return reasonDescription
  **/
  @ApiModelProperty(example = "Cancellation", value = "Description of the reason of the cancellation")
  public String getReasonDescription() {
    return reasonDescription;
  }

  public void setReasonDescription(String reasonDescription) {
    this.reasonDescription = reasonDescription;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    CancelPolicy cancelPolicy = (CancelPolicy) o;
    return Objects.equals(this.cancellationDate, cancelPolicy.cancellationDate) &&
        Objects.equals(this.reasonDescription, cancelPolicy.reasonDescription);
  }

  @Override
  public int hashCode() {
    return Objects.hash(cancellationDate, reasonDescription);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class CancelPolicy {\n");
    
    sb.append("    cancellationDate: ").append(toIndentedString(cancellationDate)).append("\n");
    sb.append("    reasonDescription: ").append(toIndentedString(reasonDescription)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

